-- WARNING:
-- uses abstract LayoutMikado puzzle!
-- ----------------------------------------------------------------------------
assert(LayoutMikado ~= nil)
setmetatable(layoutWoods2Sticks, LayoutMikado)
-- ----------------------------------------------------------------------------
function layoutWoods2Sticks:onConstruct()

	LayoutMikado.onConstruct(self)
	LayoutMikado.setup(self, "objectIoStick")

end
-- ----------------------------------------------------------------------------
function layoutWoods2Sticks:onSolveStart()

	objectHoKindling:ss(kFound)
	objectPoiKindling:ss(kDone)
	objectPoiKindlingSolved:ss(kActive)
	
	LayoutMikado.onSolveStart(self)	

	self:animate("CloseWoods2Sticking_blocking",
		{ delay = 2000 },
		{ call = layoutWoods2Sticks.hide },
		{ call = layoutWoods2Sticks.solveFinish }	
	)

end
-- ----------------------------------------------------------------------------
function layoutWoods2Sticks:onShow()

	Layout.onShow(self)
	
	if (not self:isSolved()) then
		think("MESSAGE_WOODS2_KINDLING")
	end
	
end
-- ----------------------------------------------------------------------------
function layoutWoods2Sticks:onHide()

	if (objectHoKindling:isFound() and layoutWoods2.bobCatScareStarted == false) then
		layoutWoods2:startBobcatScare()
	
	end
	
	Layout.onHide(self)
	
end
-- ----------------------------------------------------------------------------
function layoutWoods2Sticks:playTakenSound()
	playAudioTrack("KINDLING_TAKEN")
end